<!--
  @description: 招标公告内容/资审公告内容
  @Modifier: haoFx
  @routerPath:
  @date: 2020/1/7-16:18
-->
<template>
  <div>
    <pdf :pdf-url="pdfUrl" :height="height" />
    <div v-show="fileList.length>0" class="view mb16">
      <div class="page-title">
        公告附件
      </div>
      <downloadFile ref="downloadFile" :file-list="fileList" />
    </div>
  </div>
</template>

<script>
/* api*/
import { readImageRoot } from '@api/common/uploadCenter'
import { getFileDetail } from '@/api/common/uploadCenter'
/* 混合开发模式-公用方法 */
import { tenderBulletinMixin } from './../mixins/tenderBulletinMixin'// 公用方法字段信息
/* 组件*/
import downloadFile from '@comp/common/updownload/downloadFile' // 获取附件信息 下载组件
import pdf from '@comp/common/pdf/pdf'
export default {
  name: 'BulletinPdfDetail',
  components: {
    downloadFile, // 文件下载
    pdf
  },
  mixins: [tenderBulletinMixin],
  data() {
    return {
      bulletinPageType: this.$route.query.bulletinPageType, // 当前页面从哪进来的  01 驱动内列表页 02 驱动内直接展示详情页 03 驱动外招标公告列表/资审公告列表进入
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      readImageUrl: readImageRoot, // 预览图片
      pdfUrl: '',
      fileList: [], // 附件列表
      height: 0 // pdf高度
    }
  },
  created() {
    const deviceHeight = document.documentElement.clientHeight
    this.height = deviceHeight - 342
    // 获取公告内容pdf
    this.getBulletinContentPdf()
  },
  methods: {
    // 获取公告内容
    getBulletinContentPdf() {
      getFileDetail(this.bulletinContentData).then(response => {
        const url = this.readImageUrl + response.data[0].path
        this.pdfUrl = encodeURIComponent(url)
        // 获取附件
        this.$refs.downloadFile.getFile(this.upLoadData)
      }).catch(() => {
      })
    }
  }
}
</script>

<style scoped lang="less">

</style>
